Package com.mockobjects.jms

# Class MockMapMessage

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.jms.MockMessage
com.mockobjects.jms.MockMapMessage

All Implemented Interfaces:
  `Verifiable`

public class MockMapMessage extends MockMessage
MockMapMessage

Version:
  $Revision: 1.1 $
Author:
  ggalli@e-tree.com

## Constructor Summary

Constructors
Constructor
Description
`MockMapMessage()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getBoolean(String aKey)`
`byte`
`getByte(String aKey)`
`byte[]`
`getBytes(String aKey)`
`char`
`getChar(String aKey)`
`double`
`getDouble(String aKey)`
`float`
`getFloat(String aKey)`
`int`
`getInt(String aKey)`
`long`
`getLong(String aKey)`
`Enumeration`
`getMapNames()`
`Object`
`getObject(String aKey)`
`short`
`getShort(String aKey)`
`String`
`getString(String aKey)`
`boolean`
`itemExists(String aKey)`
`void`
`setBoolean(String aKey, boolean p)`
`void`
`setByte(String aKey, byte p)`
`void`
`setBytes(String aKey, byte[] p)`
`void`
`setBytes(String aKey, byte[] p, int n, int n1)`
`void`
`setChar(String aKey, char p)`
`void`
`setDouble(String aKey, double p)`
`void`
`setExpectedObjectProperty(String aKey, Object anObject)`
`void`
`setFloat(String aKey, float p)`
`void`
`setInt(String aKey, int p)`
`void`
`setLong(String aKey, long p)`
`void`
`setObject(String aKey, Object p)`
`void`
`setObjectProperty(String aKey, Object anObject)`
`void`
`setShort(String aKey, short p)`
`void`
`setString(String aKey, String aKey1)`

### Methods inherited from class com.mockobjects.jms.MockMessage

`acknowledge, clearBody, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setExpectedAcknowledgeCalls, setExpectedJMSReplyTo, setExpectedSetJMSCorrelationIDCalls, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setShortProperty, setStringProperty, setupJMSMessageID, setupThrowException`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockMapMessage

public MockMapMessage()

## Method Details

### getBoolean

public boolean getBoolean(String aKey) throws JMSException

Throws:
  `JMSException`

### getByte

public byte getByte(String aKey) throws JMSException

Throws:
  `JMSException`

### getBytes

public byte[] getBytes(String aKey) throws JMSException

Throws:
  `JMSException`

### getChar

public char getChar(String aKey) throws JMSException

Throws:
  `JMSException`

### getDouble

public double getDouble(String aKey) throws JMSException

Throws:
  `JMSException`

### getFloat

public float getFloat(String aKey) throws JMSException

Throws:
  `JMSException`

### getInt

public int getInt(String aKey) throws JMSException

Throws:
  `JMSException`

### getLong

public long getLong(String aKey) throws JMSException

Throws:
  `JMSException`

### getMapNames

public Enumeration getMapNames() throws JMSException

Throws:
  `JMSException`

### getObject

public Object getObject(String aKey) throws JMSException

Throws:
  `JMSException`

### getShort

public short getShort(String aKey) throws JMSException

Throws:
  `JMSException`

### getString

public String getString(String aKey) throws JMSException

Throws:
  `JMSException`

### itemExists

public boolean itemExists(String aKey) throws JMSException

Throws:
  `JMSException`

### setBoolean

public void setBoolean(String aKey, boolean p) throws JMSException

Throws:
  `JMSException`

### setByte

public void setByte(String aKey, byte p) throws JMSException

Throws:
  `JMSException`

### setBytes

public void setBytes(String aKey, byte[] p) throws JMSException

Throws:
  `JMSException`

### setBytes

public void setBytes(String aKey, byte[] p, int n, int n1) throws JMSException

Throws:
  `JMSException`

### setChar

public void setChar(String aKey, char p) throws JMSException

Throws:
  `JMSException`

### setDouble

public void setDouble(String aKey, double p) throws JMSException

Throws:
  `JMSException`

### setFloat

public void setFloat(String aKey, float p) throws JMSException

Throws:
  `JMSException`

### setInt

public void setInt(String aKey, int p) throws JMSException

Throws:
  `JMSException`

### setLong

public void setLong(String aKey, long p) throws JMSException

Throws:
  `JMSException`

### setObject

public void setObject(String aKey, Object p) throws JMSException

Throws:
  `JMSException`

### setObjectProperty

public void setObjectProperty(String aKey, Object anObject)

Overrides:
  `setObjectProperty` in class `MockMessage`

### setShort

public void setShort(String aKey, short p) throws JMSException

Throws:
  `JMSException`

### setString

public void setString(String aKey, String aKey1) throws JMSException

Throws:
  `JMSException`

### setExpectedObjectProperty

public void setExpectedObjectProperty(String aKey, Object anObject)